<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_144) on Wed Aug 09 12:17:19 CLT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Calculadora</title>
<meta name="date" content="2017-08-09">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Calculadora";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../calculadora/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Calculadora.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?calculadora/Calculadora.html" target="_top">Frames</a></li>
<li><a href="Calculadora.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">calculadora</div>
<h2 title="Class Calculadora" class="title">Class Calculadora</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>calculadora.Calculadora</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Calculadora</span>
extends java.lang.Object</pre>
<div class="block">Calculadora de operaciones basicas.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#Calculadora--">Calculadora</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#Divicion-int-int-">Divicion</a></span>(int&nbsp;a,
        int&nbsp;b)</code>
<div class="block">Realiza division de dos numeros.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#Leer--">Leer</a></span>()</code>
<div class="block">Comprueba que el valor ingresado sea entero.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#Menu--">Menu</a></span>()</code>
<div class="block">Permite elegir una operacion a realizar.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#Multiplicacion-int-int-">Multiplicacion</a></span>(int&nbsp;a,
              int&nbsp;b)</code>
<div class="block">Realiza multiplicacion de dos numeros.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#Resta-int-int-">Resta</a></span>(int&nbsp;a,
     int&nbsp;b)</code>
<div class="block">Realiza resta de dos numeros.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../calculadora/Calculadora.html#Suma-int-int-">Suma</a></span>(int&nbsp;a,
    int&nbsp;b)</code>
<div class="block">Realiza suma de dos numeros.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Calculadora--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Calculadora</h4>
<pre>public&nbsp;Calculadora()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - the command line arguments</dd>
</dl>
</li>
</ul>
<a name="Menu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Menu</h4>
<pre>public static&nbsp;void&nbsp;Menu()</pre>
<div class="block">Permite elegir una operacion a realizar.</div>
</li>
</ul>
<a name="Suma-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Suma</h4>
<pre>public static&nbsp;int&nbsp;Suma(int&nbsp;a,
                       int&nbsp;b)</pre>
<div class="block">Realiza suma de dos numeros.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - primer valor ingresado.</dd>
<dd><code>b</code> - primer valor ingresado.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>suma de dos numeros.</dd>
</dl>
</li>
</ul>
<a name="Resta-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Resta</h4>
<pre>public static&nbsp;int&nbsp;Resta(int&nbsp;a,
                        int&nbsp;b)</pre>
<div class="block">Realiza resta de dos numeros.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - primer valor ingresado.</dd>
<dd><code>b</code> - segundo valor ingresado.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>resta de dos numeros.</dd>
</dl>
</li>
</ul>
<a name="Multiplicacion-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Multiplicacion</h4>
<pre>public static&nbsp;int&nbsp;Multiplicacion(int&nbsp;a,
                                 int&nbsp;b)</pre>
<div class="block">Realiza multiplicacion de dos numeros.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - primer valor ingresado.</dd>
<dd><code>b</code> - segundo valor ingresado.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>multiplicacion de dos numeros.</dd>
</dl>
</li>
</ul>
<a name="Divicion-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Divicion</h4>
<pre>public static&nbsp;float&nbsp;Divicion(int&nbsp;a,
                             int&nbsp;b)</pre>
<div class="block">Realiza division de dos numeros.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - primer valor ingresado.</dd>
<dd><code>b</code> - segundo valor ingresado.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>division de dos numeros.</dd>
</dl>
</li>
</ul>
<a name="Leer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Leer</h4>
<pre>public static&nbsp;int&nbsp;Leer()</pre>
<div class="block">Comprueba que el valor ingresado sea entero.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>valor ingresado si es un entero.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../calculadora/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Calculadora.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?calculadora/Calculadora.html" target="_top">Frames</a></li>
<li><a href="Calculadora.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
